Bug 258721 - Don't use OnlyShowIn in desktop files
Don't use OnlyShowIn in desktop files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 21:31 EDT by Matthias Clasen
Modified: 2015-10-05 07:09 EDT (History)
0 users

See Also:
Fixed In Version: 0.14-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1268460 (view as bug list)
Environment:
Last Closed: 2007-09-20 08:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-08-27 21:31:39 EDT
There have been some complaints recently about the overuse of

OnlyShowIn=GNOME; 

in desktop files of applications that are not closely tied to a single desktop.
bluez-gnome has the same problem. Please remove OnlyShowIn=GNOME; from the
desktop files, and perhaps add the GNOME category instead to allow people to
easily filter it away if they really don't want to see gnome apps in their menus.
Comment 1 Bastien Nocera 2007-09-20 08:45:02 EDT
bluez-gnome should really only be used in GNOME. KDE have their own Bluetooth
framework that interfaces with bluez's hcid.

I committed some changes to bluez-gnome so that it's only shown and launched in
GNOME, and not in KDE.
Comment 2 Bastien Nocera 2015-10-05 07:09:51 EDT
Removing blocker, this is obsolete.

Note You need to log in before you can comment on or make changes to this bug.